package com.quant.entity;

import java.sql.Timestamp;

/**
 * Attachment entity. @author MyEclipse Persistence Tools
 */

public class Attachment implements java.io.Serializable {

	// Fields

	private Integer id;
	private String orginUri;
	private String uri;
	private Integer uid;
	private Integer attachmentType;
	private Integer relationId;
	private Integer size;
	private String title;
	private Timestamp postTime;
	private Integer reserveId;
	

	// Constructors

	
	/** default constructor */
	public Attachment() {
	}
	/** full constructor */
	public Attachment(String orginUri, String uri, Integer uid,
			Integer attachmentType, Integer relationId, Integer size,
			String title, Timestamp postTime,Integer reserveId) {
		this.orginUri = orginUri;
		this.uri = uri;
		this.uid = uid;
		this.attachmentType = attachmentType;
		this.relationId = relationId;
		this.size = size;
		this.title = title;
		this.postTime = postTime;
		this.reserveId = reserveId;
	}

	// Property accessors

	
	
	public Integer getId() {
		return this.id;
	}

	public Integer getReserveId() {
		return reserveId;
	}
	public void setReserveId(Integer reserveId) {
		this.reserveId = reserveId;
	}
	public void setId(Integer id) {
		this.id = id;
	}

	public String getOrginUri() {
		return this.orginUri;
	}

	public void setOrginUri(String orginUri) {
		this.orginUri = orginUri;
	}

	public String getUri() {
		return this.uri;
	}

	public void setUri(String uri) {
		this.uri = uri;
	}

	public Integer getUid() {
		return this.uid;
	}

	public void setUid(Integer uid) {
		this.uid = uid;
	}

	public Integer getAttachmentType() {
		return this.attachmentType;
	}

	public void setAttachmentType(Integer attachmentType) {
		this.attachmentType = attachmentType;
	}

	public Integer getRelationId() {
		return this.relationId;
	}

	public void setRelationId(Integer relationId) {
		this.relationId = relationId;
	}

	public Integer getSize() {
		return this.size;
	}

	public void setSize(Integer size) {
		this.size = size;
	}

	public String getTitle() {
		return this.title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public Timestamp getPostTime() {
		return this.postTime;
	}

	public void setPostTime(Timestamp postTime) {
		this.postTime = postTime;
	}
	@Override
	public String toString() {
		return "Attachment [id=" + id + ", orginUri=" + orginUri + ", uri="
				+ uri + ", uid=" + uid + ", attachmentType=" + attachmentType
				+ ", relationId=" + relationId + ", size=" + size + ", title="
				+ title + ", postTime=" + postTime + ", reserveId=" + reserveId
				+ "]";
	}

}